Bug 1822842 - gnuradio rotator block is broken in 3.8.0.0, causing issues with gqrx demodulation
Summary: gnuradio rotator block is broken in 3.8.0.0, causing issues with gqrx demodul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-10 04:15 UTC by Anton Blanchard
Modified: 2020-04-25 02:23 UTC (History)
4 users (show)

Fixed In Version: gnuradio-3.8.1.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:23:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Anton Blanchard 2020-04-10 04:15:25 UTC
Description of problem:

The gnuradio rotator block is broken in 3.8.0.0. I hit this when building a git checkout of gqrx using in a Fedora 32 container. Narrowband FM demodulation in gqrx is almost unintelligible. 

Clayton pointed me at:

https://github.com/gnuradio/gnuradio/issues/2748

The fixes are in the maint branch, and appear to be in 3.8.1.0.

Note that gqrx was only modified recently to use the gnuradio rotator, so this bug is not present in the Fedora 32 version of gqrx.

Comment 1 Jaroslav Škarvada 2020-04-14 21:37:59 UTC
It seems that in 3.8.1.0 it just uses workaround to bypass the broken volk-2.0.0 code in the rotator block, but it should resolve your problem.

Comment 2 Fedora Update System 2020-04-15 16:00:40 UTC
FEDORA-2020-b3cf6c9982 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3cf6c9982

Comment 3 Fedora Update System 2020-04-16 19:28:30 UTC
FEDORA-2020-b3cf6c9982 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b3cf6c9982`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b3cf6c9982

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Anton Blanchard 2020-04-18 06:00:53 UTC
Thanks, this update does fix my issue.

Comment 5 Fedora Update System 2020-04-25 02:23:27 UTC
FEDORA-2020-b3cf6c9982 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.